Bug 1841493 - [Kuryr] LB sgs are left behind upon LB deletion
Summary: [Kuryr] LB sgs are left behind upon LB deletion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.5
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.4.z
Assignee: Maysa Macedo
QA Contact: GenadiC
URL:
Whiteboard:
Depends On: 1839180
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-29 09:51 UTC by Maysa Macedo
Modified: 2020-06-17 22:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1839180
Environment:
Last Closed: 2020-06-17 22:26:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift kuryr-kubernetes pull 250 None closed Bug 1841493: Remove lb sg creation when octavia provider is ovn-octavia 2020-06-08 06:50:47 UTC
Red Hat Product Errata RHBA-2020:2445 None None None 2020-06-17 22:26:57 UTC

Comment 3 Itzik Brown 2020-06-09 13:40:07 UTC
Verified:
OCP 4.4.0-0.nightly-2020-06-08-083627
OSP RHOS_TRUNK-16.0-RHEL-8-20200513.n.1

Checked no security groups attached to lb vip port

$ oc get svc -n openshift-marketplace
NAME                           TYPE        CLUSTER-IP      EXTERNAL-IP   PORT(S)             AGE
certified-operators            ClusterIP   172.30.83.56    <none>        50051/TCP           71m
community-operators            ClusterIP   172.30.219.21   <none>        50051/TCP           3h12m
marketplace-operator-metrics   ClusterIP   172.30.103.75   <none>        8383/TCP,8081/TCP   3h26m
redhat-marketplace             ClusterIP   172.30.22.59    <none>        50051/TCP           71m
redhat-operators               ClusterIP   172.30.243.42   <none>        50051/TCP           3h12m

$ openstack port list |grep 172.30.83.56
| 886b6357-8790-4abb-aa67-122bc430b2bf | ovn-lb-vip-6310c273-04cb-4d7c-8278-731af718781a      | fa:16:3e:66:8d:ca | ip_address='172.30.83.56', subnet_id='a99aae79-4407-4fbc-8973-c11b6d36cbe4'   | DOWN   |

$ openstack port show 886b6357-8790-4abb-aa67-122bc430b2bf -c security_group_ids
+--------------------+-------+
| Field              | Value |
+--------------------+-------+
| security_group_ids |       |
+--------------------+-------+

Comment 5 errata-xmlrpc 2020-06-17 22:26:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2445


Note You need to log in before you can comment on or make changes to this bug.